<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package California Consumer Privacy Act for Magento 2
 */

namespace Amasty\Ccpa\Model\Source;

use Magento\Framework\Data\OptionSourceInterface;

class CustomerAction implements OptionSourceInterface
{
    public const ACCEPT = 1;
    public const DECLINE = 0;

    /**
     * @return array
     */
    public function toOptionArray()
    {
        return [
            [
                'label' =>__('Accept'),
                'value' => self::ACCEPT
            ],
            [
                'label' =>__('Decline'),
                'value' => self::DECLINE
            ]
        ];
    }
}
